import dynamix_sdk.base as _base


class CloudapiBserviceGroupUpdateVinsResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiBserviceGroupUpdateVinsProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def group_update_vins(
        self,
        *,
        bservice_id: int,
        bsgroup_id: int,
        vins_ids: list[int] | None = None,
    ) -> CloudapiBserviceGroupUpdateVinsResultBool:
        ...
